from django.db import models

from django.contrib.auth.models import User
from apps.archive.models import PostModel


class UserProfile(models.Model):
    user = models.OneToOneField(User, on_delete=models.CASCADE, unique=True)
    show_mature = models.BooleanField(default=False)

    class Meta:
        verbose_name = "User Profile"
        verbose_name_plural = "User Profiles"

    def __str__(self):
        return self.user.username


class PostSeen(models.Model):
    user = models.ForeignKey(User, on_delete=models.CASCADE)
    post_id = models.ForeignKey(PostModel, on_delete=models.CASCADE)
    date_seen = models.DateTimeField(auto_now=True)

    class Meta:
        verbose_name = "Post Seen"
        verbose_name_plural = "Posts Seen"

    def __str__(self):
        return str(self.user + self.post_id)
